using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace Org.Shokai.Gis.Gps
{
    public class GpsDataList : ArrayList
    {
        /// <summary>
        /// Split DataList by Time
        /// </summary>
        /// <param name="seconds">Time(sec)</param>
        /// <returns>Array of GpsDataList</returns>
        public GpsDataList[] Split(long seconds)
        {
            ArrayList tmp = new ArrayList();
            tmp.Add(new GpsDataList());
            ((GpsDataList)tmp[0]).Add(this[0]);
            for (int j = 1; j < this.Count; j++) // 1OƔrȂ
            {
                if (((GpsData)this[j]).time.ToFileTime() - ((GpsData)this[j - 1]).time.ToFileTime() < seconds)
                { // V̂ɒǉ
                    tmp.Add(new GpsDataList());
                } 
                ((GpsDataList)tmp[tmp.Count - 1]).Add(this[j]);
            }

            GpsDataList[] result = new GpsDataList[tmp.Count];
            for(int i = 0; i < tmp.Count; i++)
            {
                result[i] = (GpsDataList)tmp[i];
            }
            return result;
        }
    }
}
